## omake 0.10.3

=== Makefile ===
OCAML = ocaml
OCAMLFLAGS = -safe-string

.PHONY: all bootstrap force-bootstrap install default clean doc package

#
# Bootstrap program is omake-boot
#
default: bootstrap

bootstrap:
	$(OCAML) $(OCAMLFLAGS) build.ml -auto-bootstrap OCAML="$(OCAML)"

force-bootstrap:
	$(OCAML) $(OCAMLFLAGS) build.ml -force-bootstrap OCAML="$(OCAML)"

all:
	$(OCAML) $(OCAMLFLAGS) build.ml -build OCAML="$(OCAML)"

install: all
	$(OCAML) $(OCAMLFLAGS) build.ml -install OCAML="$(OCAML)"

clean:
	$(OCAML) $(OCAMLFLAGS) build.ml -clean OCAML="$(OCAML)"

doc:
	OMAKELIB=`pwd`/lib ./src/main/omake doc

# omake version is taken from the version.txt file!

package:
	OMAKELIB=`pwd`/lib ./src/main/omake clean-package
	OMAKELIB=`pwd`/lib ./src/main/omake package

=== src/Makefile ===
#
# !!!THIS IS A GENERATED FILE!!!
# !!!DO NOT MAKE CHANGES HERE, THEY WILL BE LOST!!!
#
include osconfig.mk


OFILES_clib = c_lm_channel$(EXT_OBJ) c_lm_printf$(EXT_OBJ) c_lm_ctype$(EXT_OBJ) c_lm_uname_ext$(EXT_OBJ) c_lm_unix_cutil$(EXT_OBJ) c_lm_compat_win32$(EXT_OBJ) c_readline$(EXT_OBJ) c_omake_shell_sys$(EXT_OBJ) c_omake_shell_spawn$(EXT_OBJ) c_fam_win32$(EXT_OBJ) c_fam_kqueue$(EXT_OBJ) c_fam_inotify$(EXT_OBJ) c_lm_notify$(EXT_OBJ) c_lm_termsize$(EXT_OBJ) c_lm_terminfo$(EXT_OBJ) c_lm_fs_case_sensitive$(EXT_OBJ)

clib$(EXT_LIB): $(OFILES_clib)
	-$(RM) $@
	$(AR) $(AROUT)$@ $(OFILES_clib)

c_lm_channel.c: ..$(slash)src$(slash)clib$(slash)lm_channel.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_channel.c c_lm_channel.c

c_lm_printf.c: ..$(slash)src$(slash)clib$(slash)lm_printf.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_printf.c c_lm_printf.c

c_lm_ctype.c: ..$(slash)src$(slash)clib$(slash)lm_ctype.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_ctype.c c_lm_ctype.c

c_lm_uname_ext.c: ..$(slash)src$(slash)clib$(slash)lm_uname_ext.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_uname_ext.c c_lm_uname_ext.c

c_lm_unix_cutil.c: ..$(slash)src$(slash)clib$(slash)lm_unix_cutil.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_unix_cutil.c c_lm_unix_cutil.c

c_lm_compat_win32.c: ..$(slash)src$(slash)clib$(slash)lm_compat_win32.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_compat_win32.c c_lm_compat_win32.c

c_readline.c: ..$(slash)src$(slash)clib$(slash)readline.c
	$(LN) ..$(slash)src$(slash)clib$(slash)readline.c c_readline.c

c_omake_shell_sys.c: ..$(slash)src$(slash)clib$(slash)omake_shell_sys.c
	$(LN) ..$(slash)src$(slash)clib$(slash)omake_shell_sys.c c_omake_shell_sys.c

c_omake_shell_spawn.c: ..$(slash)src$(slash)clib$(slash)omake_shell_spawn.c
	$(LN) ..$(slash)src$(slash)clib$(slash)omake_shell_spawn.c c_omake_shell_spawn.c

c_fam_win32.c: ..$(slash)src$(slash)clib$(slash)fam_win32.c
	$(LN) ..$(slash)src$(slash)clib$(slash)fam_win32.c c_fam_win32.c

c_fam_kqueue.c: ..$(slash)src$(slash)clib$(slash)fam_kqueue.c
	$(LN) ..$(slash)src$(slash)clib$(slash)fam_kqueue.c c_fam_kqueue.c

c_fam_inotify.c: ..$(slash)src$(slash)clib$(slash)fam_inotify.c
	$(LN) ..$(slash)src$(slash)clib$(slash)fam_inotify.c c_fam_inotify.c

c_lm_notify.c: ..$(slash)src$(slash)clib$(slash)lm_notify.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_notify.c c_lm_notify.c

c_lm_termsize.c: ..$(slash)src$(slash)clib$(slash)lm_termsize.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_termsize.c c_lm_termsize.c

c_lm_terminfo.c: ..$(slash)src$(slash)clib$(slash)lm_terminfo.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_terminfo.c c_lm_terminfo.c

c_lm_fs_case_sensitive.c: ..$(slash)src$(slash)clib$(slash)lm_fs_case_sensitive.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_fs_case_sensitive.c c_lm_fs_case_sensitive.c

lm_compat_win32.h: ..$(slash)src$(slash)clib$(slash)lm_compat_win32.h
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_compat_win32.h lm_compat_win32.h

SRC_clib = ..$(slash)src$(slash)clib

ALLFILES_clib =  c_lm_channel.c c_lm_printf.c c_lm_ctype.c c_lm_uname_ext.c c_lm_unix_cutil.c c_lm_compat_win32.c c_readline.c c_omake_shell_sys.c c_omake_shell_spawn.c c_fam_win32.c c_fam_kqueue.c c_fam_inotify.c c_lm_notify.c c_lm_termsize.c c_lm_terminfo.c c_lm_fs_case_sensitive.c lm_compat_win32.h


CMOFILES_lm = lm_printf.cmo lm_debug.cmo lm_heap.cmo lm_list_util.cmo lm_array_util.cmo lm_set_sig.cmo lm_set.cmo lm_map_sig.cmo lm_map.cmo lm_int_set.cmo lm_termsize.cmo lm_terminfo.cmo lm_arg.cmo lm_index.cmo lm_thread_sig.cmo lm_thread_core.cmo lm_thread.cmo lm_string_util.cmo lm_string_set.cmo lm_hash.cmo lm_hash_code.cmo lm_symbol.cmo lm_location.cmo lm_position.cmo lm_filename_util.cmo lm_uname.cmo lm_thread_pool.cmo lm_channel.cmo lm_unix_util.cmo lm_db.cmo lm_notify.cmo lm_fs_case_sensitive.cmo lm_wild.cmo lm_readline.cmo lm_marshal.cmo lm_handle_table.cmo lm_int_handle_table.cmo lm_bitset.cmo lm_instrument.cmo
CMXFILES_lm = lm_printf.cmx lm_debug.cmx lm_heap.cmx lm_list_util.cmx lm_array_util.cmx lm_set_sig.cmx lm_set.cmx lm_map_sig.cmx lm_map.cmx lm_int_set.cmx lm_termsize.cmx lm_terminfo.cmx lm_arg.cmx lm_index.cmx lm_thread_sig.cmx lm_thread_core.cmx lm_thread.cmx lm_string_util.cmx lm_string_set.cmx lm_hash.cmx lm_hash_code.cmx lm_symbol.cmx lm_location.cmx lm_position.cmx lm_filename_util.cmx lm_uname.cmx lm_thread_pool.cmx lm_channel.cmx lm_unix_util.cmx lm_db.cmx lm_notify.cmx lm_fs_case_sensitive.cmx lm_wild.cmx lm_readline.cmx lm_marshal.cmx lm_handle_table.cmx lm_int_handle_table.cmx lm_bitset.cmx lm_instrument.cmx
OCAML_LIB_FLAGS_lm =

lm.cma: $(CMOFILES_lm)
	$(OCAMLC) $(OCAMLFLAGS) $(OCAML_LIB_FLAGS_lm) -a -o $@ $(CMOFILES_lm)
lm.cmxa: $(CMXFILES_lm)
	$(OCAMLOPT) $(OCAMLFLAGS) $(OCAML_LIB_FLAGS_lm) -a -o $@ $(CMXFILES_lm)

lm_thread_pool.ml: ..$(slash)src$(slash)libmojave$(slash)lm_thread_pool_$(system).ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)lm_thread_pool_$(system).ml lm_thread_pool.ml

lm_thread_core.ml: ..$(slash)src$(slash)libmojave$(slash)lm_thread_core_$(system).ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)lm_thread_core_$(system).ml lm_thread_core.ml

SRC_libmojave = ..$(slash)src$(slash)libmojave

lm_arg.ml: $(SRC_libmojave)$(slash)lm_arg.ml
	$(LN) $(SRC_libmojave)$(slash)lm_arg.ml lm_arg.ml

lm_arg.mli: $(SRC_libmojave)$(slash)lm_arg.mli
	$(LN) $(SRC_libmojave)$(slash)lm_arg.mli lm_arg.mli

lm_array_util.ml: $(SRC_libmojave)$(slash)lm_array_util.ml
	$(LN) $(SRC_libmojave)$(slash)lm_array_util.ml lm_array_util.ml

lm_array_util.mli: $(SRC_libmojave)$(slash)lm_array_util.mli
	$(LN) $(SRC_libmojave)$(slash)lm_array_util.mli lm_array_util.mli

lm_bitset.ml: $(SRC_libmojave)$(slash)lm_bitset.ml
	$(LN) $(SRC_libmojave)$(slash)lm_bitset.ml lm_bitset.ml

lm_bitset.mli: $(SRC_libmojave)$(slash)lm_bitset.mli
	$(LN) $(SRC_libmojave)$(slash)lm_bitset.mli lm_bitset.mli

lm_channel.ml: $(SRC_libmojave)$(slash)lm_channel.ml
	$(LN) $(SRC_libmojave)$(slash)lm_channel.ml lm_channel.ml

lm_channel.mli: $(SRC_libmojave)$(slash)lm_channel.mli
	$(LN) $(SRC_libmojave)$(slash)lm_channel.mli lm_channel.mli

lm_db.ml: $(SRC_libmojave)$(slash)lm_db.ml
	$(LN) $(SRC_libmojave)$(slash)lm_db.ml lm_db.ml

lm_db.mli: $(SRC_libmojave)$(slash)lm_db.mli
	$(LN) $(SRC_libmojave)$(slash)lm_db.mli lm_db.mli

lm_debug.ml: $(SRC_libmojave)$(slash)lm_debug.ml
	$(LN) $(SRC_libmojave)$(slash)lm_debug.ml lm_debug.ml

lm_debug.mli: $(SRC_libmojave)$(slash)lm_debug.mli
	$(LN) $(SRC_libmojave)$(slash)lm_debug.mli lm_debug.mli

lm_filename_util.ml: $(SRC_libmojave)$(slash)lm_filename_util.ml
	$(LN) $(SRC_libmojave)$(slash)lm_filename_util.ml lm_filename_util.ml

lm_filename_util.mli: $(SRC_libmojave)$(slash)lm_filename_util.mli
	$(LN) $(SRC_libmojave)$(slash)lm_filename_util.mli lm_filename_util.mli

lm_fs_case_sensitive.ml: $(SRC_libmojave)$(slash)lm_fs_case_sensitive.ml
	$(LN) $(SRC_libmojave)$(slash)lm_fs_case_sensitive.ml lm_fs_case_sensitive.ml

lm_fs_case_sensitive.mli: $(SRC_libmojave)$(slash)lm_fs_case_sensitive.mli
	$(LN) $(SRC_libmojave)$(slash)lm_fs_case_sensitive.mli lm_fs_case_sensitive.mli

lm_handle_table.ml: $(SRC_libmojave)$(slash)lm_handle_table.ml
	$(LN) $(SRC_libmojave)$(slash)lm_handle_table.ml lm_handle_table.ml

lm_handle_table.mli: $(SRC_libmojave)$(slash)lm_handle_table.mli
	$(LN) $(SRC_libmojave)$(slash)lm_handle_table.mli lm_handle_table.mli

lm_hash.ml: $(SRC_libmojave)$(slash)lm_hash.ml
	$(LN) $(SRC_libmojave)$(slash)lm_hash.ml lm_hash.ml

lm_hash.mli: $(SRC_libmojave)$(slash)lm_hash.mli
	$(LN) $(SRC_libmojave)$(slash)lm_hash.mli lm_hash.mli

lm_hash_code.ml: $(SRC_libmojave)$(slash)lm_hash_code.ml
	$(LN) $(SRC_libmojave)$(slash)lm_hash_code.ml lm_hash_code.ml

lm_hash_code.mli: $(SRC_libmojave)$(slash)lm_hash_code.mli
	$(LN) $(SRC_libmojave)$(slash)lm_hash_code.mli lm_hash_code.mli

lm_heap.ml: $(SRC_libmojave)$(slash)lm_heap.ml
	$(LN) $(SRC_libmojave)$(slash)lm_heap.ml lm_heap.ml

lm_heap.mli: $(SRC_libmojave)$(slash)lm_heap.mli
	$(LN) $(SRC_libmojave)$(slash)lm_heap.mli lm_heap.mli

lm_index.ml: $(SRC_libmojave)$(slash)lm_index.ml
	$(LN) $(SRC_libmojave)$(slash)lm_index.ml lm_index.ml

lm_index.mli: $(SRC_libmojave)$(slash)lm_index.mli
	$(LN) $(SRC_libmojave)$(slash)lm_index.mli lm_index.mli

lm_instrument.ml: $(SRC_libmojave)$(slash)lm_instrument.ml
	$(LN) $(SRC_libmojave)$(slash)lm_instrument.ml lm_instrument.ml

lm_instrument.mli: $(SRC_libmojave)$(slash)lm_instrument.mli
	$(LN) $(SRC_libmojave)$(slash)lm_instrument.mli lm_instrument.mli

lm_int_handle_table.ml: $(SRC_libmojave)$(slash)lm_int_handle_table.ml
	$(LN) $(SRC_libmojave)$(slash)lm_int_handle_table.ml lm_int_handle_table.ml

lm_int_handle_table.mli: $(SRC_libmojave)$(slash)lm_int_handle_table.mli
	$(LN) $(SRC_libmojave)$(slash)lm_int_handle_table.mli lm_int_handle_table.mli

lm_int_set.ml: $(SRC_libmojave)$(slash)lm_int_set.ml
	$(LN) $(SRC_libmojave)$(slash)lm_int_set.ml lm_int_set.ml

lm_int_set.mli: $(SRC_libmojave)$(slash)lm_int_set.mli
	$(LN) $(SRC_libmojave)$(slash)lm_int_set.mli lm_int_set.mli

lm_list_util.ml: $(SRC_libmojave)$(slash)lm_list_util.ml
	$(LN) $(SRC_libmojave)$(slash)lm_list_util.ml lm_list_util.ml

lm_list_util.mli: $(SRC_libmojave)$(slash)lm_list_util.mli
	$(LN) $(SRC_libmojave)$(slash)lm_list_util.mli lm_list_util.mli

lm_location.ml: $(SRC_libmojave)$(slash)lm_location.ml
	$(LN) $(SRC_libmojave)$(slash)lm_location.ml lm_location.ml

lm_location.mli: $(SRC_libmojave)$(slash)lm_location.mli
	$(LN) $(SRC_libmojave)$(slash)lm_location.mli lm_location.mli

lm_map.ml: $(SRC_libmojave)$(slash)lm_map.ml
	$(LN) $(SRC_libmojave)$(slash)lm_map.ml lm_map.ml

lm_map.mli: $(SRC_libmojave)$(slash)lm_map.mli
	$(LN) $(SRC_libmojave)$(slash)lm_map.mli lm_map.mli

lm_map_sig.ml: $(SRC_libmojave)$(slash)lm_map_sig.ml
	$(LN) $(SRC_libmojave)$(slash)lm_map_sig.ml lm_map_sig.ml

lm_marshal.ml: $(SRC_libmojave)$(slash)lm_marshal.ml
	$(LN) $(SRC_libmojave)$(slash)lm_marshal.ml lm_marshal.ml

lm_marshal.mli: $(SRC_libmojave)$(slash)lm_marshal.mli
	$(LN) $(SRC_libmojave)$(slash)lm_marshal.mli lm_marshal.mli

lm_notify.ml: $(SRC_libmojave)$(slash)lm_notify.ml
	$(LN) $(SRC_libmojave)$(slash)lm_notify.ml lm_notify.ml

lm_notify.mli: $(SRC_libmojave)$(slash)lm_notify.mli
	$(LN) $(SRC_libmojave)$(slash)lm_notify.mli lm_notify.mli

lm_position.ml: $(SRC_libmojave)$(slash)lm_position.ml
	$(LN) $(SRC_libmojave)$(slash)lm_position.ml lm_position.ml

lm_position.mli: $(SRC_libmojave)$(slash)lm_position.mli
	$(LN) $(SRC_libmojave)$(slash)lm_position.mli lm_position.mli

lm_printf.ml: $(SRC_libmojave)$(slash)lm_printf.ml
	$(LN) $(SRC_libmojave)$(slash)lm_printf.ml lm_printf.ml

lm_printf.mli: $(SRC_libmojave)$(slash)lm_printf.mli
	$(LN) $(SRC_libmojave)$(slash)lm_printf.mli lm_printf.mli

lm_readline.ml: $(SRC_libmojave)$(slash)lm_readline.ml
	$(LN) $(SRC_libmojave)$(slash)lm_readline.ml lm_readline.ml

lm_readline.mli: $(SRC_libmojave)$(slash)lm_readline.mli
	$(LN) $(SRC_libmojave)$(slash)lm_readline.mli lm_readline.mli

lm_set.ml: $(SRC_libmojave)$(slash)lm_set.ml
	$(LN) $(SRC_libmojave)$(slash)lm_set.ml lm_set.ml

lm_set.mli: $(SRC_libmojave)$(slash)lm_set.mli
	$(LN) $(SRC_libmojave)$(slash)lm_set.mli lm_set.mli

lm_set_sig.ml: $(SRC_libmojave)$(slash)lm_set_sig.ml
	$(LN) $(SRC_libmojave)$(slash)lm_set_sig.ml lm_set_sig.ml

lm_string_set.ml: $(SRC_libmojave)$(slash)lm_string_set.ml
	$(LN) $(SRC_libmojave)$(slash)lm_string_set.ml lm_string_set.ml

lm_string_set.mli: $(SRC_libmojave)$(slash)lm_string_set.mli
	$(LN) $(SRC_libmojave)$(slash)lm_string_set.mli lm_string_set.mli

lm_string_util.ml: $(SRC_libmojave)$(slash)lm_string_util.ml
	$(LN) $(SRC_libmojave)$(slash)lm_string_util.ml lm_string_util.ml

lm_string_util.mli: $(SRC_libmojave)$(slash)lm_string_util.mli
	$(LN) $(SRC_libmojave)$(slash)lm_string_util.mli lm_string_util.mli

lm_symbol.ml: $(SRC_libmojave)$(slash)lm_symbol.ml
	$(LN) $(SRC_libmojave)$(slash)lm_symbol.ml lm_symbol.ml

lm_symbol.mli: $(SRC_libmojave)$(slash)lm_symbol.mli
	$(LN) $(SRC_libmojave)$(slash)lm_symbol.mli lm_symbol.mli

=== debian/changelog ===
omake (0.10.3-2) unstable; urgency=medium

  * Team upload.
  * Remove not needed build dependency on libfam-dev (Closes: #981516)
  * Mark omake-doc as "Multi-Arch: foreign"

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 01 Feb 2021 21:59:49 +0100

omake (0.10.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/rules
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2020 14:42:12 +0200

omake (0.9.8.5-3-10) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Sep 2019 10:44:10 +0200

omake (0.9.8.5-3-9) unstable; urgency=medium

  * Team upload
  * Disable fatal warnings (Closes: #737592)
  * Use LDFLAGS instead of CFLAGS for ld-as-needed (Closes: #681663)
  * Use dh_ocaml for automatic dependencies (Closes: #599322)
  * Recompile with new libfam0 (Closes: #715043)
  * Bump debhelper compat to 9
  * Update Vcs-*
  * Remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Feb 2014 08:45:22 +0100

=== debian/control ===
Source: omake
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mike Furr <mfurr@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 libreadline-dev,
 libncurses5-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://projects.camlcity.org/projects/omake.html
Vcs-Git: https://salsa.debian.org/ocaml-team/omake.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/omake

Package: omake
Architecture: any
Depends: ${OCaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: omake-doc
Description: build system with automated dependency analysis
 OMake is a build system designed to scale from small projects to very
 large projects spanning many directories. OMake uses a syntax similar
 to GNU make, with many additional features.  It contains
 specifications for easily building C, OCaml, and LaTeX programs, but
 can be used to build projects with other languages as well.
 .
 OMake includes an accurate, automated dependency analysis based on
 MD5 digests.  It also includes a stand-alone command-line
 interpreter, osh, that can be used as an interactive shell for
 debugging the build files.  OMake's syntax is a full object oriented
 language.  Features of the OMake language include integer and
 floating point arithmetic, scoped expressions, higher order
 functions, multiple inheritance, pattern matching, runtime
 exceptions, lexers, and LALR(1) parsers.  Users can easily produce
 architecture independent builds as omake provides a uniform interface
 to its standard library on Linux/Unix, Win32, and OS X.

Package: omake-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: omake (<< 0.9.8.5-3-5)
Description: documentation for OMake
 OMake is a build system designed to scale from small projects to very
 large projects spanning many directories. OMake uses a syntax similar
 to GNU make, with many additional features.  It contains
 specifications for easily building C, OCaml, and LaTeX programs, but
 can be used to build projects with other languages as well.
 .
 This package contains documentation for OMake in html and pdf
 formats.

=== debian/watch ===
version=3
http://projects.camlcity.org/projects/omake.html .*omake-([0-9.]+)\.tar\.gz

## omake 0.10.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 OCAML = ocaml
-OCAMLFLAGS = -safe-string
+OCAMLFLAGS = -safe-string -strict-sequence
 
 .PHONY: all bootstrap force-bootstrap install default clean doc package
 
@@ -17,7 +17,7 @@
 all:
 	$(OCAML) $(OCAMLFLAGS) build.ml -build OCAML="$(OCAML)"
 
-install: all
+install:
 	$(OCAML) $(OCAMLFLAGS) build.ml -install OCAML="$(OCAML)"
 
 clean:

=== src/Makefile ===
--- 
+++ 
@@ -74,7 +74,7 @@
 lm.cma: $(CMOFILES_lm)
 	$(OCAMLC) $(OCAMLFLAGS) $(OCAML_LIB_FLAGS_lm) -a -o $@ $(CMOFILES_lm)
 lm.cmxa: $(CMXFILES_lm)
-	$(OCAMLOPT) $(OCAMLFLAGS) $(OCAML_LIB_FLAGS_lm) -a -o $@ $(CMXFILES_lm)
+	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(OCAML_LIB_FLAGS_lm) -a -o $@ $(CMXFILES_lm)
 
 lm_thread_pool.ml: ..$(slash)src$(slash)libmojave$(slash)lm_thread_pool_$(system).ml
 	$(LN) ..$(slash)src$(slash)libmojave$(slash)lm_thread_pool_$(system).ml lm_thread_pool.ml

=== debian/changelog ===
omake (0.10.5-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS when ocamlopt is missing

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 12:26:13 +0100

omake (0.10.5-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
    - add a manpage (Closes: #687135)

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Update standards version to 4.6.1
  * Remove MIA uploaders (Closes: #873235)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 09:02:35 +0100

omake (0.10.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with libedit instead of libreadline (Closes: #979096)

 -- Bastian Germann <bage@debian.org>  Sat, 09 Oct 2021 20:02:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Mike Furr <mfurr@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  ocaml-nox,
- libreadline-dev,
- libncurses5-dev,
+ libeditreadline-dev,
+ libncurses-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://projects.camlcity.org/projects/omake.html
 Vcs-Git: https://salsa.debian.org/ocaml-team/omake.git

=== debian/watch ===
version=4
http://projects.camlcity.org/projects/omake.html .*omake-([0-9.]+)\.tar\.gz

## omake 0.10.6

=== debian/changelog ===
omake (0.10.6-2) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Sep 2023 06:19:07 +0200

omake (0.10.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2023 11:47:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  libeditreadline-dev,
  libncurses-dev,
  dh-ocaml

## omake 0.10.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 OCAML = ocaml
-OCAMLFLAGS = -safe-string -strict-sequence
+OCAMLFLAGS = -safe-string -strict-sequence -I +unix -I +str
 
 .PHONY: all bootstrap force-bootstrap install default clean doc package

=== debian/changelog ===
omake (0.10.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2024 21:04:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libeditreadline-dev,
  libncurses-dev,
  dh-ocaml
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://projects.camlcity.org/projects/omake.html
 Vcs-Git: https://salsa.debian.org/ocaml-team/omake.git

=== debian/watch ===
version=4
https://github.com/ocaml-omake/omake/tags .*/omake-([0-9.]+)\.tar\.gz
